﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Markup;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;

namespace DataTemplateSelectorSample
{
  public class MyTemplateSelector : DataTemplateSelector
  {
    public override DataTemplate SelectTemplate(object item, DependencyObject container)
    {
      var stateInfo = item as States.StateInfo;
      if (stateInfo != null)
      {
        if (stateInfo.Capital != "–")  // the state is not one of the three German city-states
        {
          // This variation demonstrates how to read the template from a resource file
          var info = Application.GetResourceStream(new Uri("/DataTemplateSelectorSample;component/Assets/RegularStateTemplate.xaml", UriKind.Relative));
          using (var reader = new StreamReader(info.Stream))
          {
            return XamlReader.Load(reader.ReadToEnd()) as DataTemplate;
          }
        }

        // This variation demonstrates how to read the template from the Application resources
        return Application.Current.Resources["CityStateTemplate"] as DataTemplate;
      }
      return null;
    }
  }
}
