﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace DataTemplateSelectorSample
{
  public class States
  {
    public static List<StateInfo> StatesOfGermany
    {
      get { return statesOfGermany; }
    }

    static readonly List<StateInfo> statesOfGermany = new List<StateInfo>
    {
        new StateInfo(16, "Baden-Württemberg", 35752, 10739, 300, "Stuttgart", "Baden-Wuerttemberg.png"),
        new StateInfo(14, "Bavaria", 70552, 12488, 177, "Munich", "Bavaria.png"),
        new StateInfo(8, "Berlin", 892, 3395, 3807, "–", "Berlin.png"),
        new StateInfo(6, "Brandenburg", 29479, 2559, 87, "Potsdam", "Brandenburg.png"),
        new StateInfo(4, "Bremen", 325, 547, 1553, "–", "Bremen.png"),
        new StateInfo(3, "Hamburg", 755, 1774, 2309, "–", "Hamburg.png"),
        new StateInfo(10, "Hesse", 21115, 6075, 289, "Wiesbaden", "Hesse.png"),
        new StateInfo(2, "Mecklenburg-Vorpommern", 23180, 1707, 74, "Schwerin", "Mecklenburg-Vorpommern.png"),
        new StateInfo(5, "Lower Saxony", 47624, 7997, 168, "Hannover", "Lower Saxony.png"),
        new StateInfo(9, "North Rhine-Westphalia", 34085, 18029, 530, "Düsseldorf", "North Rhine-Westphalia.png"),
        new StateInfo(13, "Rhineland-Palatinate", 19853, 4053, 204, "Mainz", "Rhineland-Palatinate.png"),
        new StateInfo(15, "Saarland", 2569, 1050, 409, "Saarbrücken", "Saarland.png"),
        new StateInfo(12, "Saxony", 18416, 4250, 232, "Dresden", "Saxony.png"),
        new StateInfo(7, "Saxony-Anhalt", 20446, 2470, 121, "Magdeburg", "Saxony-Anhalt.png"),
        new StateInfo(1, "Schleswig-Holstein", 15799, 2833, 179, "Kiel", "Schleswig-Holstein.png"),
        new StateInfo(11, "Thuringia", 16172, 2335, 144, "Erfurt", "Thuringia.png"),
    };

    public class StateInfo
    {
      public StateInfo(int id, string name, double area, double population, double populationDensity, string capital, string coatOfArms)
      {
        ID = id;
        Name = name;
        Area = area;
        Population = population;
        PopulationDensity = populationDensity;
        Capital = capital;
        CoatOfArms = new BitmapImage(new Uri("/DataTemplateSelectorSample;component/Assets/CoatsOfArms/" + coatOfArms, UriKind.Relative));
      }

      public override string ToString()
      {
        return String.Format("{0} (Capital: {1})", Name, Capital);
      }

      public int ID { get; set; }
      public string Name { get; set; }
      public double Area { get; set; }
      public double Population { get; set; }
      public double PopulationDensity { get; set; }
      public string Capital { get; set; }
      public ImageSource CoatOfArms { get; set; }
    }
  }
}